import os, mod_s, mod_cc
for i in range(1, 3):
    while True:
        filename = os.path.abspath(input(f"Введите имя {i}-го файла: "))
        if not os.path.isfile(filename):
            print("Ошибка: введено неверное имя файла")
            continue
        newList = mod_s.readList(filename)
        if not newList:
            print("Ошибка: в данном файле содержится пустой список значений")
            continue
        globals()[f"list{i}"] = newList
        break
correlation = mod_cc.calculateCorrelation(list1, list2)
if correlation is not None:
    print(f"Коэффициент корреляции равен: {correlation}")
